<?php
// Do not allow direct access to the file.
if( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Fury Helper Class
 *
 * @since 1.0
 */
class Fury_Helper {
    
    /**
     * Generate Header Class
     *
     * @used in header.php
     * @since 1.0
     */
    public static function header_class() {
        $header['sticky'] = esc_attr( get_theme_mod( 'fury_header_sticky', true ) );
        if( $header['sticky'] ) {
            echo ' navbar-sticky';
        }
    }
    
    /**
     * Get Post Tags
     *
     * @used in class-fury.php
     * @since 1.0
     */
    public static function get_tags() {
        if( has_tag() ) {
            $html = '<li>';
                $html .= '<i class="icon-tag"></i> ';
                foreach( get_the_tags() as $tag ) {
                    $tag_link = get_tag_link( $tag->term_id );
                    
                    $html .= '<a href="'. esc_url( $tag_link ) .'" 
                                 title="'. esc_attr( $tag->name ) .' '. esc_attr__( 'Tag', 'fury' ) .'" 
                                 class="'. esc_attr( $tag->slug ) .'">';
                    $html .= esc_html( $tag->name ) .'</a>,';
                }
            $html .= '</li>';
            return $html;
        }
    }
    
    /**
     * Count Comments
     *
     * @used in class-fury.php
     * @since 1.0
     */
    public static function comments_count() {
        $comments = esc_html__( 'no comments', 'fury' );
        if( comments_open() ) {
            $comments = get_comments_number();
            if( $comments ) {
                $comments .= ' ' . esc_html__( 'comment', 'fury' );
            } else {
                $comments .= ' ' . esc_html__( 'comments', 'fury' );
            }
        }
        return $comments;
    }
    
}

/* Omit closing PHP tag to avoid "Headers already sent" issues. */
